Please merge lighttpd 1.4.26-3 (universe) from debian unstable (main)

Bug #599010 reported by Lorenzo De Liso on 2010-06-27
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
lighttpd (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: lighttpd

lighttpd (1.4.26-3) unstable; urgency=low

  * Ack for NMU, fix for SSL incompatibility (closes: #572031)

 -- Krzysztof Krzyżaniak (eloy) <email address hidden> Thu, 03 Jun 2010 21:22:24 +0200

lighttpd (1.4.26-2) unstable; urgency=low

  [ Krzysztof Krzyżaniak (eloy) ]
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/control:
   + removed Franz Pletz from Uploaders, he's MIA (closes: #579366)
   + change dependency from libmysqlclient15-dev to more general
     libmysqlclient-dev

  [ Olaf van der Spek ]
  * take conf dir as an optional parameter (closes: 489854)
  * don't try to make /var/run/lighttpd when invoked with status
    (closes: 538662)
  * split FastCGI PHP conf from FastCGI conf (closes: 515699)
  * reduce max-procs from 2 to 1 (closes: 456200)
  * move debian doc handling into it's own file
  * set default vhost dir to /srv/<host>/htdocs (closes: 471054)
  * use delaycompress instead of copytruncate for logrotate (closes: 563626)
  * don't wait for old process to stop before starting new one for reload
    (closes: 504315)
  * use reopen-logs for logrotate (closes: 504319)
  * add no-www.conf (for use with evhost and simple-vhost, closes: 471055)
  * move evhost conf into it's own file

 -- Krzysztof Krzyżaniak (eloy) <email address hidden> Tue, 01 Jun 2010 17:08:42 +0200

Related branches

Lorenzo De Liso (blackz) wrote :
Changed in lighttpd (Ubuntu):
importance: Undecided → Wishlist
Changed in lighttpd (Ubuntu):
assignee: nobody → Andres Rodriguez (andreserl)
status: New → In Progress
Andres Rodriguez (andreserl) wrote :

Uploaded!! Thank you for your contribution!!

Changed in lighttpd (Ubuntu):
status: In Progress → Fix Committed
assignee: Andres Rodriguez (andreserl) → nobody
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lighttpd - 1.4.26-3ubuntu1

---------------
lighttpd (1.4.26-3ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #599010), remaining changes:
    - debian/control:
      + libgamin-dev rather than libfam-dev to fix startup warning.
      + debhelper Build-depends bumped to (>= 7.0.50) for
        overrides in rules file.
    - debian/lighttpd.init: clean environment; Check syntax during start/reload
      restart/force-reload.
    - debian/index.html: s/Debian/Ubuntu/g branding on the default page.
    - Added a UFW profile set:
      + debian/lighttpd.dirs: added etc/ufw/applications.d
      + debian/rules: install the ufw profile.
      + debian/control: Suggests on ufw.
    - Add lighttpd-dev package:
      + debian/control: Added lighttpd-dev package; Build-depends on
        automake, libtool
      + debian/lighttpd-dev.install: Added.
    - debian/rules:
      + Add override_dh_installinit to set "defaults 91 09" to not start
        before apache2 but in the same runlevel with the same priority.
    - debian/patches/build-dev-package.patch: Updated
    - debian/lighttpd.conf: Comment 'use-ipv6.pl' by default, which causes
      failure to bind port in ipv4 (LP: #551211)

lighttpd (1.4.26-3) unstable; urgency=low

  * Ack for NMU, fix for SSL incompatibility (closes: #572031)

lighttpd (1.4.26-2) unstable; urgency=low

  [ Krzysztof Krzyżaniak (eloy) ]
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/control:
   + removed Franz Pletz from Uploaders, he's MIA (closes: #579366)
   + change dependency from libmysqlclient15-dev to more general
     libmysqlclient-dev

  [ Olaf van der Spek ]
  * take conf dir as an optional parameter (closes: 489854)
  * don't try to make /var/run/lighttpd when invoked with status
    (closes: 538662)
  * split FastCGI PHP conf from FastCGI conf (closes: 515699)
  * reduce max-procs from 2 to 1 (closes: 456200)
  * move debian doc handling into it's own file
  * set default vhost dir to /srv/<host>/htdocs (closes: 471054)
  * use delaycompress instead of copytruncate for logrotate (closes: 563626)
  * don't wait for old process to stop before starting new one for reload
    (closes: 504315)
  * use reopen-logs for logrotate (closes: 504319)
  * add no-www.conf (for use with evhost and simple-vhost, closes: 471055)
  * move evhost conf into it's own file
 -- Lorenzo De Liso <email address hidden> Sun, 27 Jun 2010 13:13:01 +0200

Changed in lighttpd (Ubuntu):
status: Fix Committed → Fix Released
tags: added: patch
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers